
Name: dstool_tk
Version: 0.1998
Release: alt0.5
Summary: DSTool - a dynamical systems toolkit
License: GPL-like
Group: Sciences/Mathematics
Url: http://www.geom.uiuc.edu/software/dstool

Source: http://www.cam.cornell.edu/~gucken/dstool/Version_tk/%name.tar.gz
Source1: %{name}_16.xpm
Source2: %{name}_32.xpm
Source3: %{name}_48.xpm
Source4: %{name}
Patch0: dstool_tk-alt-geomview-fix.patch
Requires: geomview tcl tk

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: XFree86-devel XFree86-utils tcl-devel tk-devel

%description
DsTool - a dynamical systems toolkit.
It used for numeric finding of fixed points and periodic orbits, 
visualisation of maps and vector fields such as Lorenz attractor.
It is recommended to install also a geomview package for 3D support.


%prep
%setup -q -c -n %name
%patch0 -p1

%build
DSTOOL=$PWD
ARCH=linux
export ARCH DSTOOL
make World

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/%name/src
%__cp -r oogl help tcl bin $RPM_BUILD_ROOT%_datadir/%name
### see README for details; it claims to require them
%__cp -r src/models $RPM_BUILD_ROOT%_datadir/%name/src
mkdir -p $RPM_BUILD_ROOT%_bindir
%__install -m 755 bin/dstool_tk $RPM_BUILD_ROOT%_bindir
%__sed -e 's!/u/pkg/dstool_tk}!%_datadir/%name} ${ARCH=linux} ${GEOMVIEW=/usr/bin/geomview}!' bin/dstool_tk > $RPM_BUILD_ROOT%_bindir/dstool_tk
%__install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%{name}.xpm
%__install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%{name}.xpm
%__install -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%{name}.xpm
%__install -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_menudir/%{name}

%post
%update_menus

%postun
%clean_menus

%files
%doc README INSTALL VERSION changes
%_bindir/dstool_tk
%_datadir/%name
%_miconsdir/%{name}.xpm
%_iconsdir/%{name}.xpm
%_liconsdir/%{name}.xpm
%_menudir/%{name}

%changelog
* Thu Jul 28 2005 Igor Vlasenko <viy@altlinux.org> 0.1998-alt0.5
- added require: tk

* Tue Mar 29 2005 Igor Vlasenko <viy@altlinux.ru> 0.1998-alt0.4
- first build for AltLinux
